<?xml version="1.0"?>
<?xml-model href="http://download.ros.org/schema/package_format2.xsd" schematypens="http://www.w3.org/2001/XMLSchema"?>
<package format="2">
  <name>atr_controller</name>
  <version>0.0.1</version>
  <description>Implementation of the ROS 2 interface for the atr controller</description>
  <maintainer email="deane@chalmers.com">Emmanuel Dean</maintainer>
  <license>Apache License 2.0</license>

  <buildtool_depend>ament_cmake</buildtool_depend>

  <depend>sensor_msgs</depend>
  <depend>atr_state_msgs</depend>
  <depend>atr_error_msgs</depend>
  <depend>rclcpp_lifecycle</depend>
  <depend>rclcpp_components</depend>
  <depend>lifecycle_msgs</depend>
  <depend>atr_utils</depend>
  <depend>atr_srvs</depend>
  <depend>rcpputils</depend>

  <test_depend>apex_test_tools</test_depend>
  <test_depend>ament_cmake_gtest</test_depend>
  <test_depend>ament_lint_auto</test_depend>
  <test_depend>ament_lint_common</test_depend>
  <test_depend>launch_testing_ros</test_depend>
  <test_depend>launch_testing_ament_cmake</test_depend>
  <test_depend>ros_testing</test_depend>

  <export>
    <build_type>ament_cmake</build_type>
  </export>
</package>
